Skip to main content
GET
/
api
/
v2
/
account
/
usage
GET /api/v2/account/usage — API key usage stats (AgentKey only)
curl --request GET \
  --url https://api.shuriken.trade/api/v2/account/usage \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "keyId": "<string>",
    "scopes": [
      "<string>"
    ],
    "constraints": {
      "allowBribes": true,
      "allowCustomGas": true,
      "buysEnabled": true,
      "maxConcurrentExecutions": 1,
      "maxExecutionsPerDay": 1,
      "maxExecutionsPerHour": 1,
      "maxLimitOrdersPerDay": 1,
      "sellsEnabled": true,
      "allowedNetworks": [
        123
      ],
      "allowedWalletIds": [
        "<string>"
      ],
      "maxBuyUsdPerDay": 123,
      "maxBuyUsdPerTrade": 123,
      "maxLimitOrderUsdPerOrder": 123,
      "maxPriceImpactPct": 1,
      "maxSellPositionPct": 1,
      "maxSellUsdPerDay": 123,
      "maxSellUsdPerTrade": 123,
      "maxSlippageBps": 1
    }
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Response

API key usage and constraints

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)